Ana içeriğe geç

Delete RLCL

Endpoint​

DELETE /apiops/projects/{projectName}/rlcl/{rlclName}/

Authentication​

Requires a Personal API Access Token.

Authorization: Bearer YOUR_TOKEN

Request​

Headers​

HeaderValueRequired
AuthorizationBearer {token}Yes

Path Parameters​

ParameterTypeRequiredDescription
projectNamestringYesProject name
rlclNamestringYesRLCL name

Request Body​

None.

Response​

Success Response (200 OK)​

{
"status": "SUCCESS",
"deploymentResult": {
"success": true
}
}

Error Response (400 Bad Request)​

{
"status": "FAILURE",
"resultMessage": "RLCL (PremiumUserRLCL) is not found!"
}

cURL Example​

curl -X DELETE \
"https://demo.apinizer.com/apiops/projects/MyProject/rlcl/PremiumUserRLCL/" \
-H "Authorization: Bearer YOUR_TOKEN"

Permissions​

  • User must have IDENTITY + MANAGE permission in the project

Notes and Warnings​

  • Permanent Deletion:
    • RLCL is permanently deleted
    • This action cannot be undone
  • Configurations:
    • All credentials, endpoints, and conditions are also removed